Name:          drc
Version:       3.2.1
Release:       1mamba
Summary:       A program used to generate correction filters for acoustic compensation of HiFi and audio systems
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://drc-fir.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/drc-fir/drc-fir/%{version}/drc-%{version}.tar.gz
Patch0:        drc-3.2.1-fix-makefile.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
DRC is a program used to generate correction filters for acoustic compensation of HiFi and audio systems in general, including listening room compensation. DRC generates just the FIR correction filters, which can be used with a real time or offline convolver to provide real time or offline correction. DRC doesn't provide convolution features, and provides only some simplified, although really accurate, measuring tools.

%debug_package

%prep
%setup -q
%patch0 -p1

%build
cd source
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd source
install -d -m0755 %{buildroot}%{_bindir}
install -d -m0755 %{buildroot}%{_datadir}/config/{"44.1 kHz","48.0 kHz","88.2 kHz","96.0 kHz"}
%makeoldinstall INSTALL_PREFIX=%{buildroot}%{_prefix} DOC_TARGETS=readme.txt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/drc
%{_bindir}/glsweep
%{_bindir}/lsconv
%{_datadir}/doc/drc-3.2.1/readme.txt
%dir %{_datadir}/drc
%dir %{_datadir}/drc/impulse
%{_datadir}/drc/impulse/rs.pcm
%dir %{_datadir}/drc/mic
%{_datadir}/drc/mic/*.txt
%dir %{_datadir}/drc/config/
%{_datadir}/drc/config/*
%dir %{_datadir}/drc/target/
%{_datadir}/drc/target/*

%changelog
* Sat Dec 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-1mamba
- package created by silvan using the webbuild interface
